Peter Abplanalp pta-openmoko at
Thu Dec 18 15:16:24 CET 2008

thanks for the help, andy.

On Thu, Dec 18, 2008 at 3:18 AM, Andy Green <andy at> wrote:
> Well, first confirm with cat /proc/version that you're running what you
> think you're running.

root at om-gta02:~# cat /proc/version
Linux version 2.6.24 (build at barbie) (gcc version 4.1.2) #1 PREEMPT Tue
Dec 16 09:01:00 CST 2008

'opkg list_installed | grep kernel' gives a lot of packages.  most
have the version:


however, there is one that is different, and that would be:

kernel-module-usbhid -

i have 3 packages that look like actual kernel packages.  i think a
couple of them might be meta packages but they are:

kernel - 3:2.6.24+gitr76014+fb42ce6724576fc173faf8abfb04aa2c36d213b7-r2.01
kernel-2.6.24 -
kernel-image-2.6.24 -

they all look the same to me as far as version is concerned.  i hope that helps.

> Second, WSOD from resume is a bit ambiguous since it can be a more
> generic resume failure on 2.6.24.  If you disable resume and just let it
> do framebuffer blanking for a while, do you ever see the WSOD just from
> that?

i'm not sure how to turn on framebuffer blanking but i will do some
research and use that for a bit and report back; however, i have used
other distros where frameblanking was the norm and never had wsod.  i
only get wsod after a resume.


More information about the community mailing list